org.bouncycastle.asn1.cms

## Class OriginatorPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.OriginatorPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OriginatorPublicKey
      extends ASN1Object

  RFC 5652: Content encryption key delivery mechanisms.

       OriginatorPublicKey ::= SEQUENCE {
           algorithm AlgorithmIdentifier,
           publicKey BIT STRING
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginatorPublicKey(AlgorithmIdentifier algorithm, ASN1BitString publicKey)`
    `OriginatorPublicKey(AlgorithmIdentifier algorithm, byte[] publicKey)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getAlgorithm()`
    `static OriginatorPublicKey` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return an OriginatorPublicKey object from a tagged object.
    `static OriginatorPublicKey` | `getInstance(java.lang.Object obj)` Return an OriginatorPublicKey object from the given object.
    `DERBitString` | `getPublicKey()` Deprecated. Use `getPublicKeyData()` instead.
    `ASN1BitString` | `getPublicKeyData()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginatorPublicKey

          public OriginatorPublicKey(AlgorithmIdentifier algorithm,
                                     byte[] publicKey)

    - #### OriginatorPublicKey

          public OriginatorPublicKey(AlgorithmIdentifier algorithm,
                                     ASN1BitString publicKey)

  - ### Method Detail

    - #### getInstance

          public static OriginatorPublicKey getInstance(ASN1TaggedObject obj,
                                                        boolean explicit)

      Return an OriginatorPublicKey object from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want.
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Throws:
        `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

    - #### getInstance

          public static OriginatorPublicKey getInstance(java.lang.Object obj)

      Return an OriginatorPublicKey object from the given object.

      Accepted inputs:

      - null → null
      - `OriginatorPublicKey` object
      - `ASN1Sequence` input formats with OriginatorPublicKey structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getAlgorithm

          public AlgorithmIdentifier getAlgorithm()

    - #### getPublicKey

          public DERBitString getPublicKey()

      Deprecated. Use `getPublicKeyData()` instead.

    - #### getPublicKeyData

          public ASN1BitString getPublicKeyData()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.